apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: trivy
  namespace: argocd
  finalizers:
    - resources-finalizer.argocd.argoproj.io
spec:
  sources:
    - chart: trivy-operator
      repoURL: https://aquasecurity.github.io/helm-charts/
      targetRevision: 0.18.4
      helm:
        values: |
          serviceMonitor:
            enabled: true
  destination:
    namespace: trivy-system
    server: https://kubernetes.default.svc
  project: system
  syncPolicy:
    syncOptions:
      - CreateNamespace=true
